//
//  ATKFilterWheelLiveViewController.h
//  ExampleApplication
//
//  Created by Nick Kitchener on 24/01/2013.
//  Copyright (c) 2013 atik. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ATKFilterWheelController.h"
#import "ATKLiveViewHIDDelegate.h"

@interface ATKFilterWheelLiveViewController : NSViewController 

@property (readwrite, assign, nonatomic) ATKFilterWheelController *filterWheelController;

@property (readwrite, strong, nonatomic) NSIndexSet *filterWheelSelection;

-(void)setDeviceController:(ATKFilterWheelController*)ctrl;

@end

@interface ATKFilterWheelLiveViewController (ATKLiveUpdateDelegate) <ATKLiveUpdateDelegate>

-(void)replaceLiveImage:(NSImage*)newImage;

@end