//
//  ATKFilterWheelLiveViewController.m
//  ExampleApplication
//
//  Created by Nick Kitchener on 24/01/2013.
//  Copyright (c) 2013 atik. All rights reserved.
//

#import "ATKFilterWheelLiveViewController.h"

@interface ATKFilterWheelLiveViewController ()

@end

@implementation ATKFilterWheelLiveViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Initialization code here.
        _filterWheelSelection = [[NSMutableIndexSet alloc]init];
    }
    
    return self;
}

-(void)setDeviceController:(ATKFilterWheelController*)ctrl {
    if([NSThread currentThread]!=[NSThread mainThread]) {
        NSLog(@"Thread invasion into GUI in %s", __FUNCTION__);
    }
    [self setFilterWheelController:ctrl];
    ctrl.liveView=self;
    [self.view needsDisplay];
}

-(NSString*)identity {
    return _filterWheelController.identity;
}

-(void)setFilterWheelSelection:(NSIndexSet *)filterWheelSelection {
    _filterWheelSelection = filterWheelSelection;
    NSLog(@"filterwheel selection %@ ", filterWheelSelection);
    [_filterWheelController selectFilter:(NSString*)filterWheelSelection];
}

@end

@implementation ATKFilterWheelLiveViewController (ATKLiveUpdateDelegate)

-(void)replaceLiveImage:(NSImage*)newImage {
    
}

@end